curl --request POST \
--url https://app.sideshift.app/api/commerce/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event": "registered",
"email": "shopper@example.com",
"occurredAt": "2026-11-11T12:30:00.000Z",
"eventId": "signup-1042"
}
'import requests
url = "https://app.sideshift.app/api/commerce/events"
payload = {
"event": "registered",
"email": "shopper@example.com",
"occurredAt": "2026-11-11T12:30:00.000Z",
"eventId": "signup-1042"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
event: 'registered',
email: 'shopper@example.com',
occurredAt: '2026-11-11T12:30:00.000Z',
eventId: 'signup-1042'
})
};
fetch('https://app.sideshift.app/api/commerce/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.sideshift.app/api/commerce/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'event' => 'registered',
'email' => 'shopper@example.com',
'occurredAt' => '2026-11-11T12:30:00.000Z',
'eventId' => 'signup-1042'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.sideshift.app/api/commerce/events"
payload := strings.NewReader("{\n \"event\": \"registered\",\n \"email\": \"shopper@example.com\",\n \"occurredAt\": \"2026-11-11T12:30:00.000Z\",\n \"eventId\": \"signup-1042\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.sideshift.app/api/commerce/events")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"event\": \"registered\",\n \"email\": \"shopper@example.com\",\n \"occurredAt\": \"2026-11-11T12:30:00.000Z\",\n \"eventId\": \"signup-1042\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.sideshift.app/api/commerce/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"event\": \"registered\",\n \"email\": \"shopper@example.com\",\n \"occurredAt\": \"2026-11-11T12:30:00.000Z\",\n \"eventId\": \"signup-1042\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3f0c8f0e-5a63-4a6b-9a39-0d6c3b8b2a55"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Send a funnel event
Call from a trusted server or a no-code tool when a person does something you want to attribute, such as a webinar signup or a course sale. Uses the store’s Orders API key. Maximum 64 KiB; 600 requests per minute per store, counted apart from the Orders API. Name the person with one of email, emailHash or visitorId. A raw email is hashed on arrival and is not stored. Send the same eventId on a retry. Without eventId, each call writes a new event. The names comment, dm_sent, link_click, store_order, identify, consentwithdrawn, custom and saleofdataoptin are reserved for SideShift.
curl --request POST \
--url https://app.sideshift.app/api/commerce/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event": "registered",
"email": "shopper@example.com",
"occurredAt": "2026-11-11T12:30:00.000Z",
"eventId": "signup-1042"
}
'import requests
url = "https://app.sideshift.app/api/commerce/events"
payload = {
"event": "registered",
"email": "shopper@example.com",
"occurredAt": "2026-11-11T12:30:00.000Z",
"eventId": "signup-1042"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
event: 'registered',
email: 'shopper@example.com',
occurredAt: '2026-11-11T12:30:00.000Z',
eventId: 'signup-1042'
})
};
fetch('https://app.sideshift.app/api/commerce/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.sideshift.app/api/commerce/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'event' => 'registered',
'email' => 'shopper@example.com',
'occurredAt' => '2026-11-11T12:30:00.000Z',
'eventId' => 'signup-1042'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.sideshift.app/api/commerce/events"
payload := strings.NewReader("{\n \"event\": \"registered\",\n \"email\": \"shopper@example.com\",\n \"occurredAt\": \"2026-11-11T12:30:00.000Z\",\n \"eventId\": \"signup-1042\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.sideshift.app/api/commerce/events")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"event\": \"registered\",\n \"email\": \"shopper@example.com\",\n \"occurredAt\": \"2026-11-11T12:30:00.000Z\",\n \"eventId\": \"signup-1042\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.sideshift.app/api/commerce/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"event\": \"registered\",\n \"email\": \"shopper@example.com\",\n \"occurredAt\": \"2026-11-11T12:30:00.000Z\",\n \"eventId\": \"signup-1042\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3f0c8f0e-5a63-4a6b-9a39-0d6c3b8b2a55"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Body
Name the person with email, emailHash or visitorId; at least one is required. Send email or emailHash, not both. Send valueCents and currency together or not at all.